CAD三点画矩形

现在开始新设一个CAD栏目,用来记载我使用CAD的一些(很肤浅的)心得。

CASS里有个很好用的功能就是三点画矩形,但是单纯CAD里面就没那么容易,虽然CAD无所不能,但是作为半桶水的我没那个能力研究透彻。所以用到了这样一个手工制作的插件:

 

;;;三点画矩形(连续绘制模式)

(defun C:sdhjx (/ PT1 PT2 ANG)

(while (and (setq PT1 (getpoint "\nSpecify first point:"))

(setq PT2 (getpoint PT1 "\nSpecify secondly point:")

)

)

(progn

(setq ANG (+ (angle PT1 PT2) (* 0.5 pi))

PT3 (polar PT1 ANG 10)

)

(command "_.ucs" "n" "3" PT1 PT2 PT3)

(command "_.rectang" "non" '(0 0 0) PAUSE)

(command "_.ucs" "P")

)

)

)

 

保存成.lsp文件后,在CAD里加载它(以CAD2012为例):

 

我们看上面的代码可以得知呼出的快捷键就是"sdhjx",三点画矩形的拼音缩写,此一处可根据自我习惯更改,只要你自己能记住即可。

之后用快捷键调用吧,找三个点画个矩形如何,开始爽吧。

这是我的“收款”的二维码,放在这里想说的是,如果这篇文章真的对你很有帮助,为你解决了难题或提供了便利,你可以通过它打赏一下,不要多,只一块钱即可。除了声明转载的,全都是原创内容,发表在博客里一是留个念想,二也是互联网精神所致。一块钱对我算是一种鼓励。当然评论一句“很有帮助”也是值一块钱的 :)

号外1:(这里)提供搭建个人站足够用的2GB容量100GB流量的免费虚拟主机
号外2:(这里)承接微信公众平台建设服务
喜欢 0

这篇文章还没有评论

发表评论